<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Name: Pharmaceutical Advice Section Content Module
Description: The Pharmaceutical Advice section contains a pharmaceutical advice to a medication prescribed or dispensed for the patient. It shall include exactly one Pharmaceutical Advice entry as described in the Pharmaceutical Advice Item Entry Content Module. See also  IHE Pharmacy PADV Suppl 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000">
   <title>Pharmaceutical Advice Section Content Module</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]"
         id="d119e4818-false-d46883e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9'])&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9'])&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2'])&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2'])&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1'])&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1'])&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:id)&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:id)&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:code[(@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:code[(@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:code[(@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)])&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:code[(@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:title[not(@nullFlavor)])&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:text[not(@nullFlavor)])&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code='OK' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CHANGE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CANCEL' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='SUSPEND' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='REFUSE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1')][not(@nullFlavor)]]])&gt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:entry[hl7:observation[hl7:code[(@code='OK' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CHANGE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CANCEL' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='SUSPEND' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='REFUSE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1')][not(@nullFlavor)]]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="count(hl7:entry[hl7:observation[hl7:code[(@code='OK' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CHANGE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CANCEL' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='SUSPEND' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='REFUSE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1')][not(@nullFlavor)]]])&lt;=1">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Element hl7:entry[hl7:observation[hl7:code[(@code='OK' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CHANGE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CANCEL' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='SUSPEND' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='REFUSE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1')][not(@nullFlavor)]]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']"
         id="d119e4820-false-d46996e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="string(@root)=('2.16.756.5.30.1.127.77.4.10.9')">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Der Wert von @root MUSS '2.16.756.5.30.1.127.77.4.10.9' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']"
         id="d119e4825-false-d47017e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.9.1.2.2')">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.9.1.2.2' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']"
         id="d119e4832-false-d47038e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="string(@root)=('2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1')">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Der Wert von @root MUSS '2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:id
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:id"
         id="d119e4839-false-d47059e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:code[(@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:code[(@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1')][not(@nullFlavor)]"
         id="d119e4844-false-d47073e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="@nullFlavor or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1') or (@code='61357-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='MEDICATION PHARMACEUTICAL ADVICE.BRIEF' and @codeSystemName='LOINC')">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Der Elementinhalt MUSS einer von 'code '61357-0' codeSystem '2.16.840.1.113883.6.1' oder code '61357-0' codeSystem '2.16.840.1.113883.6.1' displayName='MEDICATION PHARMACEUTICAL ADVICE.BRIEF' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:title[not(@nullFlavor)]
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:title[not(@nullFlavor)]"
         id="d119e4854-false-d47096e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="text()='eMedicationComment'">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''eMedicationComment'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:text[not(@nullFlavor)]
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:text[not(@nullFlavor)]"
         id="d119e4862-false-d47114e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1-2016-06-06T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CH-EMED-PharmaceuticalAdviceSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.9']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.2']][hl7:templateId[@root='2.16.756.5.30.1.1.1.1.3.10.2.10.4.10.3.1']]/hl7:entry[hl7:observation[hl7:code[(@code='OK' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CHANGE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='CANCEL' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='SUSPEND' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1') or (@code='REFUSE' and @codeSystem='1.3.6.1.4.1.19376.1.9.2.1')][not(@nullFlavor)]]]
Item: (CH-EMED-PharmaceuticalAdviceSectionContentModule)
--></pattern>
