<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.77.4.10.7
Name: Medication Treatment Plan Section Content Module
Description: 
      The Medication Treatment Plan Section contains a description of the patient. It includes entries for Medication Treatment Plan Items as described in the Medication Treatment Plan Item Entry Content Module.
    
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136">
   <title>Medication Treatment Plan Section Content Module</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]
Item: (MedicationTreatmenPlanSectionContentModule)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]
Item: (MedicationTreatmenPlanSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]"
         id="d119e7418-false-d82283e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7'])&gt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7'])&lt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6'])&gt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6'])&lt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:id)&gt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:id)&lt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:code[(@code='77604-7' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&gt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:code[(@code='77604-7' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:code[(@code='77604-7' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor])&lt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:code[(@code='77604-7' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:text)&gt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:text ist required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:text)&lt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:entry[not(@nullFlavor)])&gt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:entry[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="count(hl7:entry[not(@nullFlavor)])&lt;=1">(MedicationTreatmenPlanSectionContentModule): Element hl7:entry[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']
Item: (MedicationTreatmenPlanSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']"
         id="d119e7420-false-d82376e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationTreatmenPlanSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="string(@root)=('2.16.756.5.30.1.127.77.4.10.7')">(MedicationTreatmenPlanSectionContentModule): Der Wert von @root MUSS '2.16.756.5.30.1.127.77.4.10.7' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MedicationTreatmenPlanSectionContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']
Item: (MedicationTreatmenPlanSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']"
         id="d119e7425-false-d82397e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationTreatmenPlanSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="string(@root)=('1.3.6.1.4.1.19376.1.9.1.2.6')">(MedicationTreatmenPlanSectionContentModule): Der Wert von @root MUSS '1.3.6.1.4.1.19376.1.9.1.2.6' sein.</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@root,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@root,'^[A-Za-z][A-Za-z\d\-]*$')">(MedicationTreatmenPlanSectionContentModule): Attribute @root MUSS vom Datentyp 'uid' sein</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:id
Item: (MedicationTreatmenPlanSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:id"
         id="d119e7430-false-d82418e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationTreatmenPlanSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:code[(@code='77604-7' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]
Item: (MedicationTreatmenPlanSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:code[(@code='77604-7' and @codeSystem='2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d119e7432-false-d82432e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationTreatmenPlanSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="@nullFlavor or (@code='77604-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Medication treatment plan.brief' and @codeSystemName='LOINC')">(MedicationTreatmenPlanSectionContentModule): Der Elementinhalt MUSS einer von 'code '77604-7' codeSystem '2.16.840.1.113883.6.1' displayName='Medication treatment plan.brief' codeSystemName='LOINC'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:text
Item: (MedicationTreatmenPlanSectionContentModule)
-->

   <rule context="*[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:text"
         id="d119e7437-false-d82452e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachemed-html-20170503T140951/tmp-2.16.756.5.30.1.127.77.4.10.7-2017-05-01T125136.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(MedicationTreatmenPlanSectionContentModule): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.77.4.10.7
Context: *[hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]]/hl7:section[hl7:templateId[@root='2.16.756.5.30.1.127.77.4.10.7']][hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.6']]/hl7:entry[not(@nullFlavor)]
Item: (MedicationTreatmenPlanSectionContentModule)
--></pattern>
